## ros-noetic-urg-stamped 0.0.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(urg_stamped)

set(CATKIN_DEPENDS
  roscpp
  sensor_msgs
)

## Find catkin and any catkin packages
find_package(catkin REQUIRED COMPONENTS ${CATKIN_DEPENDS})
find_package(Boost 1.53 REQUIRED system chrono thread)

catkin_package(
  CATKIN_DEPENDS ${CATKIN_DEPENDS}
)

add_compile_options(-std=c++11)
include_directories(${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} include)

add_executable(urg_stamped
  src/urg_stamped.cpp
  src/urg_stamped_node.cpp
  src/scip2/logger.cpp
  src/ros_logger.cpp
)
target_link_libraries(urg_stamped ${catkin_LIBRARIES} ${Boost_LIBRARIES})


if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(rosunit REQUIRED)
  find_package(roslint REQUIRED)
  set(ROSLINT_CPP_OPTS "--filter=-runtime/references,-build/c++11")
  roslint_cpp()
  roslint_add_test()

  catkin_add_gtest(test_decode test/src/test_decode.cpp)
  target_link_libraries(test_decode ${catkin_LIBRARIES} ${Boost_LIBRARIES})

  catkin_add_gtest(test_device_time_origin test/src/test_device_time_origin.cpp)
  target_link_libraries(test_device_time_origin ${catkin_LIBRARIES} ${Boost_LIBRARIES})

  catkin_add_gtest(test_first_order_filter test/src/test_first_order_filter.cpp)
  catkin_add_gtest(test_param test/src/test_param.cpp)

  catkin_add_gtest(test_timestamp_moving_average test/src/test_timestamp_moving_average.cpp)
  target_link_libraries(test_timestamp_moving_average ${catkin_LIBRARIES} ${Boost_LIBRARIES})

  catkin_add_gtest(test_timestamp_outlier_remover test/src/test_timestamp_outlier_remover.cpp)
  target_link_libraries(test_timestamp_outlier_remover ${catkin_LIBRARIES} ${Boost_LIBRARIES})

  catkin_add_gtest(test_walltime test/src/test_walltime.cpp src/scip2/logger.cpp)
  target_link_libraries(test_walltime ${catkin_LIBRARIES} ${Boost_LIBRARIES})
endif()

install(TARGETS
    urg_stamped
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-urg-stamped (0.0.16-1focal) focal; urgency=high

  * Update release scripts (#133 <https://github.com/seqsense/urg_stamped/issues/133>)
  * Fix multiline run in bloom-release workflow (#130 <https://github.com/seqsense/urg_stamped/issues/130>)
  * Detect future timestamp as error (#129 <https://github.com/seqsense/urg_stamped/issues/129>)
  * Unuse actions/create-release (#127 <https://github.com/seqsense/urg_stamped/issues/127>)
  * Unuse downloaded scripts (#128 <https://github.com/seqsense/urg_stamped/issues/128>)
  * Update CI workflows (#126 <https://github.com/seqsense/urg_stamped/issues/126>)
  * Contributors: Atsushi Watanabe, f-fl0

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 05 Jan 2023 00:00:00 -0000

ros-noetic-urg-stamped (0.0.15-1focal) focal; urgency=high

  * Fix parsing parameter containing semicolon (#123 <https://github.com/seqsense/urg_stamped/issues/123>)
  * Use Alpine ROS as a cloner base (#122 <https://github.com/seqsense/urg_stamped/issues/122>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 15 Dec 2021 00:00:00 -0000

ros-noetic-urg-stamped (0.0.14-1focal) focal; urgency=high

  * Fix continuous time sync failure (#115 <https://github.com/seqsense/urg_stamped/issues/115>)
  * Tweak indent of stream oprators (#119 <https://github.com/seqsense/urg_stamped/issues/119>)
  * Gracefully stop connection (#118 <https://github.com/seqsense/urg_stamped/issues/118>)
  * Improve log outputs for multi-sensor configuration (#116 <https://github.com/seqsense/urg_stamped/issues/116>)
  * Automatically hide old bot comments (#117 <https://github.com/seqsense/urg_stamped/issues/117>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 23 Aug 2021 00:00:00 -0000

ros-noetic-urg-stamped (0.0.13-1focal) focal; urgency=high

  * Remove doubled QT command request (#112 <https://github.com/seqsense/urg_stamped/issues/112>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 03 Aug 2021 00:00:00 -0000

ros-noetic-urg-stamped (0.0.12-1focal) focal; urgency=high

  * Fix gpg key source in prerelease test (#111 <https://github.com/seqsense/urg_stamped/issues/111>)
  * Reboot sensor if time sync error count exceeded limit and never succeeded (#108 <https://github.com/seqsense/urg_stamped/issues/108>)
  * Rotate bot token (#106 <https://github.com/seqsense/urg_stamped/issues/106>)
  * Drop Kinetic (#105 <https://github.com/seqsense/urg_stamped/issues/105>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 11 Jul 2021 00:00:00 -0000

ros-noetic-urg-stamped (0.0.11-1focal) focal; urgency=high

  * Send QT command twice to avoid being ignored (#103 <https://github.com/seqsense/urg_stamped/issues/103>)
  * Change TM0 status 10 error log level (#100 <https://github.com/seqsense/urg_stamped/issues/100>)
  * Fallback timeout during time synchronization (#97 <https://github.com/seqsense/urg_stamped/issues/97>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 23 Apr 2021 00:00:00 -0000

ros-noetic-urg-stamped (0.0.10-1focal) focal; urgency=high

  * Add codecov.yml (#96 <https://github.com/seqsense/urg_stamped/issues/96>)
  * Fix error handling during delay estimation (#92 <https://github.com/seqsense/urg_stamped/issues/92>)
  * Add option to enable debug log output at launch (#93 <https://github.com/seqsense/urg_stamped/issues/93>)
  * Send TM command after receiving QT response (#91 <https://github.com/seqsense/urg_stamped/issues/91>)
  * Refactor directory and namespace (#90 <https://github.com/seqsense/urg_stamped/issues/90>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Apr 2021 00:00:00 -0000

ros-noetic-urg-stamped (0.0.9-1focal) focal; urgency=high

  * Release 0.0.8 (#84 <https://github.com/seqsense/urg_stamped/issues/84>)
  * Fix token name for releasing (#86 <https://github.com/seqsense/urg_stamped/issues/86>)
  * Fix prerelease test (#85 <https://github.com/seqsense/urg_stamped/issues/85>)
  * Remove unnecessary newline from log (#82 <https://github.com/seqsense/urg_stamped/issues/82>)
  * Migrate to GitHub Actions (#81 <https://github.com/seqsense/urg_stamped/issues/81>)
  * Contributors: Atsushi Watanabe, github-actions[bot]

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-noetic-urg-stamped (0.0.8-1focal) focal; urgency=high

  * Fix token name for releasing (#86 <https://github.com/seqsense/urg_stamped/issues/86>)
  * Fix prerelease test (#85 <https://github.com/seqsense/urg_stamped/issues/85>)
  * Remove unnecessary newline from log (#82 <https://github.com/seqsense/urg_stamped/issues/82>)
  * Migrate to GitHub Actions (#81 <https://github.com/seqsense/urg_stamped/issues/81>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-noetic-urg-stamped (0.0.7-1focal) focal; urgency=high

  * Remove travis_retry from prerelease_test.sh (#78 <https://github.com/seqsense/urg_stamped/issues/78>)
  * Use downloaded gh-pr-comment binary in docker container (#77 <https://github.com/seqsense/urg_stamped/issues/77>)
  * Download gh-pr-comment binary instead of using pip (#75 <https://github.com/seqsense/urg_stamped/issues/75>)
  * Reboot lidar when it is in abnormal state (#71 <https://github.com/seqsense/urg_stamped/issues/71>)
  * Create GitHub Release after bloom release (#72 <https://github.com/seqsense/urg_stamped/issues/72>)
  * Update CI config (#69 <https://github.com/seqsense/urg_stamped/issues/69>)
  * Contributors: Atsushi Watanabe, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 12 Aug 2020 00:00:00 -0000

ros-noetic-urg-stamped (0.0.6-1focal) focal; urgency=high

  * Add check for device timestamp jump to node (#66 <https://github.com/seqsense/urg_stamped/issues/66>)


=== debian/control ===
Source: ros-noetic-urg-stamped
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roscpp, ros-noetic-roslint <!nocheck>, ros-noetic-rostest <!nocheck>, ros-noetic-rosunit <!nocheck>, ros-noetic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-urg-stamped
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-roscpp, ros-noetic-sensor-msgs
Description: Precisely stamped URG driver for ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-urg-stamped//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
